#include "ftpup.h"
#include "ftplib.h"
#include <stdio.h>

/* connection buffer  */
static netbuf *conn=NULL;

/* FTP: mode (don't touch */
char mode='I';	

int ftpup(struct config_t *config){

	FtpInit();
	
	/* connect to server */
	if(!FtpConnect(config->host,&conn))
	{
		printf("error: connection to FTP server\n");
		return(1);
	}

	/* send userid and pw */
	if(!FtpLogin(config->user,config->password,conn))
	{
		printf("error: auth failed\n");
		return(2);
	}

	/* upload file (tmp name)*/
	if(!FtpPut(config->local_file,config->remote_tmp_file,mode,conn))
	{
		printf("%s, %s, %c", config->local_file, config->remote_tmp_file,mode);
		printf("error: upload tmp remote file\n");
		return(3);
	}

	/* delete remote file  */
	/*
	if(!FtpDelete(file_remoto,conn))
	{
		printf("error: delete remote file");
		return(4);
	}
	*/
	
	/* rename tmp file */
	if(!FtpRename(config->remote_tmp_file, config->remote_file,conn))
	{
		printf("error: renaming remote tmp file");
		return(5);
	}

	/* disconnect */	
	FtpQuit(conn);

	return(0);
}
